+ Reply
Results 1 to 8 of 8

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Latest MobileSubstrate Locks up Google Maps

is a discussion within the

Native iPhone / iPod Touch App Discussion

forums, a part of the

3rd Party Apps For iPhone | iPod Touch

section;
Just a heads up, the latest MobileSubstrate (0.9.3226-1) has a bug that locks up google maps. Downgrading to 0.9.3209 fixes it for now: Install MobileTerminal for iOS 4, Fix Google
...
  1. #1
    Green Apple appleguru's Avatar
    Join Date
    Oct 2009
    Posts
    40
    Thanks
    0
    Thanked 8 Times in 8 Posts

    Default Latest MobileSubstrate Locks up Google Maps
    Just a heads up, the latest MobileSubstrate (0.9.3226-1) has a bug that locks up google maps. Downgrading to 0.9.3209 fixes it for now:

    Install MobileTerminal for iOS 4, Fix Google Maps | Aimful Wanderings

    It's been reported to saurik; hopefully a proper fix will be out soon!

    *UPDATE*: MobileSubstrate 0.9.3228 fixes the issue and is available now from cydia! Cheers to Optimo and saurik for the quick fix!
    Last edited by appleguru; 08-05-2010 at 12:49 AM. Reason: Updated info!
    An apple a day...

  2. The Following User Says Thank You to appleguru For This Useful Post:

    THEdAY (08-04-2010)

  3. #2
    What's Jailbreak?
    Join Date
    Dec 2007
    Posts
    28
    Thanks
    2
    Thanked 2 Times in 2 Posts

    Maps doesn't lock up anymore, but GPS is consistently about six blocks off. My router is is registered with whatever that company is, so GPS usually get me perfectly. Anyone else?

  4. #3
    Green Apple appleguru's Avatar
    Join Date
    Oct 2009
    Posts
    40
    Thanks
    0
    Thanked 8 Times in 8 Posts

    It's accurate for me...
    An apple a day...

  5. #4
    What's Jailbreak?
    Join Date
    Nov 2010
    Posts
    9
    Thanks
    0
    Thanked 1 Time in 1 Post
    Default manual install
    A recent MobileSubstrate (0.9.3226) has ruined my iTouch 2G/3.1.3. How can I manually downgrade to the previous version or upgrade to 0.9.3228? I have managed to get to Springboard, but no APP will launch (including Cydia). I have Cyberduck. Help!

  6. #5
    Retired Moderator StealthBravo's Avatar
    Join Date
    Jan 2008
    Location
    TX  Follow me @StealthBravo
    Posts
    32,478
    Thanks
    44
    Thanked 5,328 Times in 3,113 Posts

    You can get a copy from apt.saurik.com

  7. #6
    What's Jailbreak?
    Join Date
    Nov 2010
    Posts
    9
    Thanks
    0
    Thanked 1 Time in 1 Post
    Default still hosed
    Got mobilesubstrate_0.9.3228-1_iphoneos-arm.deb and mobilesubstrate_0.9.3367-1_iphoneos-arm.deb from apt.saurik.com. Tried both installed via SSHing them into /private/var/root/Media/Cydia/AutoInstall with Cyberduck. Did a hard restart immediately followed by a respring. Neither worked. Still looking at a Springboard that will not launch any APP, including Settings and Cydia. Help?

    MobileSubstrate 0.9.3366-1 has so completely destroyed my iTouch 2G that redsn0w cannot re-jailbreak it and iTunes cannot restore from either a backup or the iPod2,1_3.1.3_7E18_Restore.ipsw file. (I get a "The iPod "my iTouch" could not be retored. This device isn't eligible for the requested build." dialogue.) My iPod Touch is now worthless. It is utterly inconceivable to me that the installation of a single piece of software can permanently disable hardware. This is a whole new level of bullsh1t.
    Last edited by bachelorbob96; 11-24-2010 at 02:07 PM. Reason: Automerged Doublepost

  8. #7
    What's Jailbreak?
    Join Date
    Aug 2008
    Posts
    6
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Quote Originally Posted by bachelorbob96 View Post
    Got mobilesubstrate_0.9.3228-1_iphoneos-arm.deb and mobilesubstrate_0.9.3367-1_iphoneos-arm.deb from apt.saurik.com. Tried both installed via SSHing them into /private/var/root/Media/Cydia/AutoInstall with Cyberduck. Did a hard restart immediately followed by a respring. Neither worked. Still looking at a Springboard that will not launch any APP, including Settings and Cydia. Help?

    MobileSubstrate 0.9.3366-1 has so completely destroyed my iTouch 2G that redsn0w cannot re-jailbreak it and iTunes cannot restore from either a backup or the iPod2,1_3.1.3_7E18_Restore.ipsw file. (I get a "The iPod "my iTouch" could not be retored. This device isn't eligible for the requested build." dialogue.) My iPod Touch is now worthless. It is utterly inconceivable to me that the installation of a single piece of software can permanently disable hardware. This is a whole new level of bullsh1t.
    so, what do you think it is the right release for 3.x without Maps Bug?

  9. #8
    What's Jailbreak?
    Join Date
    Nov 2010
    Posts
    9
    Thanks
    0
    Thanked 1 Time in 1 Post
    0.9.3228-1 was working fine before I allowed Cydia to update. I'm now running iOS 4.2.1 on my iTouch 2G for lack of having the SHSH for iOS 3.1.3. (It's been several bad days.) There are many tweaks that I used not yet available in iOS 4.x. I would return to 3.1.3 if I could.

    As for a Mobile Substrate without the Maps bug and iOS 3.x, I'd stick with 0.9.3228-1 (http://apt.saurik.com/debs/mobilesub...honeos-arm.deb) although the latest 0.9.3367-1 *may* work. I have no way to test.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts